Bug Hunting Session
Bug 123831 - Remove access to Firefox Persona in favor of self-hosted extensions
Summary: Remove access to Firefox Persona in favor of self-hosted extensions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2019-03-04 10:55 UTC by Heiko Tietze
Modified: 2019-05-23 20:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-03-04 10:55:41 UTC
Since Mozilla changed the API again access to themes is broken (6.2). We should move forward, remove the dialog to download themes from Mozilla and provide our own extensions for it.
Comment 1 Peter Maunder 2019-03-04 12:20:50 UTC
I would welcome a facility to enable me to select my own theme that I have created and sits on my system that contains my LibreOffice configuration. I use to able to do this using the Olen Expert Configuration. I am sure this would make a popular Extension or Personalisation option.
Comment 2 Muhammet Kara 2019-03-06 12:57:00 UTC
(In reply to Heiko Tietze from comment #0)
> Since Mozilla changed the API again access to themes is broken (6.2). We
> should move forward, remove the dialog to download themes from Mozilla and
> provide our own extensions for it.

I was already up for disabling that dialog, and maybe for removal later. But since the Moz Themes are no longer compatible with our implementation (not only an API change any more, but matter of missing files), I second this approach.

Better to get an ACK from ESC first.


(In reply to Peter Maunder from comment #1)
> I would welcome a facility to enable me to select my own theme that I have
> created and sits on my system that contains my LibreOffice configuration. I
> use to able to do this using the Olen Expert Configuration. I am sure this
> would make a popular Extension or Personalisation option.

That's the intention with the extension approach. Anyone can create an extension with a ready-to-use extension template.
Comment 3 Heiko Tietze 2019-03-07 15:08:14 UTC
ESC 07-Mar: no objection
Comment 4 Muhammet Kara 2019-05-23 19:03:34 UTC
Firefox/Mozilla personas feature was removed as per ESC and Design Team decisions: https://gerrit.libreoffice.org/#/c/72811/
Comment 5 Muhammet Kara 2019-05-23 20:40:36 UTC
As the removal part is already done, and the extension part is covered by https://bugs.documentfoundation.org/show_bug.cgi?id=120406, this bug report seems fixed.